﻿using UnityEngine;

public class PlayerController : MonoBehaviour
{
    public float accelerationForce = 10f;
    public float maxSpeed = 5f;
    public float rotationSpeed = 180f;

    private Rigidbody2D rb;

    private void Start()
    {
        rb = GetComponent<Rigidbody2D>();
    }

    private void Update()
    {
        // Get the horizontal input for rotation
        float horizontalInput = Input.GetAxis("Horizontal");

        // Calculate the rotation amount based on input
        float rotationAmount = -horizontalInput * rotationSpeed * Time.deltaTime;

        // Apply the rotation to the Rigidbody2D
        rb.MoveRotation(rb.rotation + rotationAmount);

        // Get the input for acceleration in the local forward direction
        float verticalInput = Input.GetAxis("Vertical");

        // Calculate the acceleration vector in the local forward direction
        Vector2 acceleration = transform.up * verticalInput * accelerationForce;

        // Apply the acceleration force to the Rigidbody2D
        rb.AddForce(acceleration);

        // Limit the velocity to prevent the GameObject from going too fast
        Vector2 clampedVelocity = Vector2.ClampMagnitude(rb.velocity, maxSpeed);
        rb.velocity = clampedVelocity;
    }
}
